Bug 480630 - poppler doesn't handle transparency in pdf files correctly.
poppler doesn't handle transparency in pdf files correctly.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: poppler (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-19 10:03 EST by Jonathan Underwood
Modified: 2010-03-23 19:19 EDT (History)
4 users (show)

See Also:
Fixed In Version: poppler-0.10.7-5.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-23 19:19:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Input sample pdf file (10.65 KB, application/pdf)
2009-01-19 10:03 EST, Jonathan Underwood
no flags Details
Output of pdftops FranckCondon.pdf (266.51 KB, application/postscript)
2009-01-19 10:04 EST, Jonathan Underwood
no flags Details

  None (edit)
Description Jonathan Underwood 2009-01-19 10:03:05 EST
Description of problem:
If I take a pdf file which has some transparency in it and use pdftops to convert it to a postscript file, I lose the parts of the image with transparency. Same thing happens if I print to a ps file with evince (which is presumably using the same libpoppler code). Test files attached below.

Version-Release number of selected component (if applicable):
poppler-glib-0.8.7-1.fc10.x86_64
poppler-0.8.7-1.fc10.x86_64
poppler-utils-0.8.7-1.fc10.x86_64
poppler-qt4-0.8.7-1.fc10.x86_64


How reproducible:
Everytime

Steps to Reproduce:
1.pdftops FranckCondon.pdf
2.
3.
  
Actual results:
FranckCondon.ps doesn't contain the background grid

Expected results:
FranckCondon.ps should contain the background grid

Additional info:
FranckCondon.pdf was created in inkscape and exported to pdf using the cairo backend.
Comment 1 Jonathan Underwood 2009-01-19 10:03:38 EST
Created attachment 329349 [details]
Input sample pdf file
Comment 2 Jonathan Underwood 2009-01-19 10:04:22 EST
Created attachment 329350 [details]
Output of pdftops FranckCondon.pdf

Note the missing grid.
Comment 4 Jonathan Underwood 2009-11-03 04:37:00 EST
Updating version to F-11, as I still see this problem here. Current packages:

poppler-0.10.7-3.fc11.x86_64
poppler-glib-0.10.7-3.fc11.x86_64
poppler-utils-0.10.7-3.fc11.x86_64
Comment 5 Marek Kašík 2010-03-09 08:02:19 EST
Hi,

I backported upstream patch which fixes this issue (SHA1 ID 2484b0dcb8eb62f8e2c147498c58871ec04630b5).

Regards

Marek
Comment 6 Fedora Update System 2010-03-09 08:04:35 EST
poppler-0.10.7-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/poppler-0.10.7-5.fc11
Comment 7 Fedora Update System 2010-03-11 02:20:47 EST
poppler-0.10.7-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update poppler'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/poppler-0.10.7-5.fc11
Comment 8 Fedora Update System 2010-03-23 19:19:11 EDT
poppler-0.10.7-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.